GDB (xrefs)

Public Attributes | List of all members
converted_character Struct Reference

## Public Attributes
int | num_chars
enum wchar_iterate_result | result
gdb_wchar_t | chars [WCHAR_BUFLEN_MAX]
const gdb_byte * | buf
size_t | buflen
int | repeat_count

## Detailed Description

Definition at line 52 of file valprint.c.

## Member Data Documentation

## ◆ buf

const gdb_byte* converted_character::buf

Definition at line 64 of file valprint.c.

Referenced by count_next_character(), and print_converted_chars_to_obstack().

## ◆ buflen

size_t converted_character::buflen

Definition at line 67 of file valprint.c.

Referenced by count_next_character(), and print_converted_chars_to_obstack().

## ◆ chars

gdb_wchar_t converted_character::chars[WCHAR_BUFLEN_MAX]

Definition at line 61 of file valprint.c.

Referenced by count_next_character(), and print_converted_chars_to_obstack().

## ◆ num_chars

int converted_character::num_chars

Definition at line 55 of file valprint.c.

Referenced by count_next_character().

## ◆ repeat_count

int converted_character::repeat_count

Definition at line 70 of file valprint.c.

Referenced by count_next_character(), and print_converted_chars_to_obstack().

## ◆ result

enum wchar_iterate_result converted_character::result

Definition at line 58 of file valprint.c.

Referenced by count_next_character(), generic_printstr(), and print_converted_chars_to_obstack().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/valprint.c